/*
	Ninja Library
	
	COPYRIGHT (C) SEGA ENTERPRISES,LTD.

*/
#ifndef _NJ_CNK_SIMPLE_MULTI_H_
#define _NJ_CNK_SIMPLE_MULTI_H_

typedef	struct	{
	Float	z;					/* 3D Z				*/
	Float	sx;					/* Screen X			*/
	Float	sy;					/* Screen Y			*/
	Float	ooz;				/* One over Z		*/
	Float	a;					/* Alpha			*/
	Float	r;					/* Diffuse R		*/
	Float	g;					/* Diffuse G		*/
	Float	b;					/* Diffuse B		*/
	Float	x;					/* 3D X				*/
	Float	y;					/* 3D Y				*/
	Float	nx;					/* Normal X			*/
	Float	ny;					/* Normal Y			*/
	Float	nz;					/* Normal Z			*/
	Float	sr;					/* Specular R		*/
	Float	sg;					/* Specular G		*/
	Float	sb;					/* Specular B		*/
} NJS_CNK_SIMPLEMULTI_BUF;


Sint32  njCnkSimpleMultiDrawModel( NJS_CNK_MODEL *model );
void    njCnkSimpleMultiDrawObject( NJS_CNK_OBJECT *model );

void    njCnkSetSimpleMultiLight(Int num);
void    njCnkSetSimpleMultiLightSwitch(Int light, Int flag);
void    njCnkSetSimpleMultiAmbient(Float ar, Float ag, Float ab);
void    njCnkSetSimpleMultiLightColor(Int light, Float lr, Float lg, Float lb);
void    njCnkSetSimpleMultiLightVector(Float vx, Float vy, Float vz);
void    njCnkSetSimpleMultiLightVectorEx(Int light, Float vx, Float vy, Float vz);
void    njCnkSetSimpleMultiLightPoint(Int light, Float px, Float py, Float pz);
void    njCnkSetSimpleMultiLightRange(Int light, Float nrange, Float frange);
void    njCnkSetSimpleMultiLightMatrices(void);


Sint32  njCnkSimpleMultiDrawModel2p( NJS_CNK_MODEL *model , Float *color );
void    njCnkSimpleMultiDrawObject2p( NJS_CNK_OBJECT *model , Float *color );

#endif	/*	_NJ_CNK_SIMPLE_MULTI_H_	*/

/*
 * End Of File
 */
